public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: app-crypt/gcr/
Date: Sun, 28 Oct 2012 16:42:31 +0000 (UTC)	[thread overview]
Message-ID: <1351442495.4f20966fead7bca357d3c45451d489c67ed23233.eva@gentoo> (raw)

commit:     4f20966fead7bca357d3c45451d489c67ed23233
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 28 16:32:06 2012 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Oct 28 16:41:35 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=4f20966f

app-crypt/gcr: 3.6.0 → 3.6.1

Fix USE=debug behavior. We do not disable asserts ever.

---
 .../gcr/{gcr-3.6.0.ebuild => gcr-3.6.1.ebuild}     |   43 ++++++++++---------
 app-crypt/gcr/gcr-9999.ebuild                      |   43 ++++++++++---------
 2 files changed, 46 insertions(+), 40 deletions(-)

diff --git a/app-crypt/gcr/gcr-3.6.0.ebuild b/app-crypt/gcr/gcr-3.6.1.ebuild
similarity index 74%
rename from app-crypt/gcr/gcr-3.6.0.ebuild
rename to app-crypt/gcr/gcr-3.6.1.ebuild
index 66f1c25..c2a7bca 100644
--- a/app-crypt/gcr/gcr-3.6.0.ebuild
+++ b/app-crypt/gcr/gcr-3.6.1.ebuild
@@ -16,14 +16,16 @@ HOMEPAGE="http://www.gnome.org/"
 
 LICENSE="GPL-2+ LGPL-2+"
 SLOT="0"
-IUSE="debug doc +introspection"
+IUSE="debug +introspection"
 if [[ ${PV} = 9999 ]]; then
+	IUSE="${IUSE} doc"
 	KEYWORDS=""
 else
 	KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
 fi
 
-COMMON_DEPEND=">=app-crypt/gnupg-2
+COMMON_DEPEND="
+	>=app-crypt/gnupg-2
 	>=app-crypt/p11-kit-0.6
 	>=dev-libs/glib-2.32:2
 	>=dev-libs/libgcrypt-1.2.2
@@ -33,41 +35,42 @@ COMMON_DEPEND=">=app-crypt/gnupg-2
 	introspection? ( >=dev-libs/gobject-introspection-1.29 )
 "
 RDEPEND="${COMMON_DEPEND}
-	!<gnome-base/gnome-keyring-3.3"
+	!<gnome-base/gnome-keyring-3.3
+"
 # gcr was part of gnome-keyring until 3.3
 DEPEND="${COMMON_DEPEND}
+	dev-libs/gobject-introspection-common
 	dev-util/gdbus-codegen
+	>=dev-util/gtk-doc-am-1.9
 	>=dev-util/intltool-0.35
 	sys-devel/gettext
 	virtual/pkgconfig
-
-	dev-libs/gobject-introspection-common
-	>=dev-util/gtk-doc-am-1.9
-
-	doc? ( >=dev-util/gtk-doc-1.9 )"
+"
 # eautoreconf needs:
 #	dev-libs/gobject-introspection-common
-#	>=dev-util/gtk-doc-am-1.9
 
-pkg_setup() {
+if [[ ${PV} = 9999 ]]; then
+	DEPEND="${DEPEND}
+		doc? ( >=dev-util/gtk-doc-1.9 )"
+fi
+
+src_prepare() {
 	DOCS="AUTHORS ChangeLog HACKING NEWS README"
 	G2CONF="${G2CONF}
-		$(use_enable debug)
 		$(use_enable introspection)
+		--enable-debug=default
 		--disable-update-icon-cache
 		--disable-update-mime"
-}
 
-src_prepare() {
-	# FIXME: failing tests
-	# https://bugzilla.gnome.org/show_bug.cgi?id=682651
-	if use test; then
-		sed -e 's:test-subject-public-key::' \
-			-e 's:test-system-prompt:$(NULL):' \
-			-i gcr/tests/Makefile.am || die "sed failed"
-		[[ ${PV} = 9999 ]] || eautoreconf
+	if use debug; then
+		G2CONF="${G2CONF} --enable-debug=yes"
 	fi
 
+	# Disable stupid flag changes
+	sed -e 's/CFLAGS="$CFLAGS -g"//' \
+		-e 's/CFLAGS="$CFLAGS -O0"//' \
+		-i configure.ac configure || die
+
 	gnome2_src_prepare
 }
 

diff --git a/app-crypt/gcr/gcr-9999.ebuild b/app-crypt/gcr/gcr-9999.ebuild
index 66f1c25..c2a7bca 100644
--- a/app-crypt/gcr/gcr-9999.ebuild
+++ b/app-crypt/gcr/gcr-9999.ebuild
@@ -16,14 +16,16 @@ HOMEPAGE="http://www.gnome.org/"
 
 LICENSE="GPL-2+ LGPL-2+"
 SLOT="0"
-IUSE="debug doc +introspection"
+IUSE="debug +introspection"
 if [[ ${PV} = 9999 ]]; then
+	IUSE="${IUSE} doc"
 	KEYWORDS=""
 else
 	KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
 fi
 
-COMMON_DEPEND=">=app-crypt/gnupg-2
+COMMON_DEPEND="
+	>=app-crypt/gnupg-2
 	>=app-crypt/p11-kit-0.6
 	>=dev-libs/glib-2.32:2
 	>=dev-libs/libgcrypt-1.2.2
@@ -33,41 +35,42 @@ COMMON_DEPEND=">=app-crypt/gnupg-2
 	introspection? ( >=dev-libs/gobject-introspection-1.29 )
 "
 RDEPEND="${COMMON_DEPEND}
-	!<gnome-base/gnome-keyring-3.3"
+	!<gnome-base/gnome-keyring-3.3
+"
 # gcr was part of gnome-keyring until 3.3
 DEPEND="${COMMON_DEPEND}
+	dev-libs/gobject-introspection-common
 	dev-util/gdbus-codegen
+	>=dev-util/gtk-doc-am-1.9
 	>=dev-util/intltool-0.35
 	sys-devel/gettext
 	virtual/pkgconfig
-
-	dev-libs/gobject-introspection-common
-	>=dev-util/gtk-doc-am-1.9
-
-	doc? ( >=dev-util/gtk-doc-1.9 )"
+"
 # eautoreconf needs:
 #	dev-libs/gobject-introspection-common
-#	>=dev-util/gtk-doc-am-1.9
 
-pkg_setup() {
+if [[ ${PV} = 9999 ]]; then
+	DEPEND="${DEPEND}
+		doc? ( >=dev-util/gtk-doc-1.9 )"
+fi
+
+src_prepare() {
 	DOCS="AUTHORS ChangeLog HACKING NEWS README"
 	G2CONF="${G2CONF}
-		$(use_enable debug)
 		$(use_enable introspection)
+		--enable-debug=default
 		--disable-update-icon-cache
 		--disable-update-mime"
-}
 
-src_prepare() {
-	# FIXME: failing tests
-	# https://bugzilla.gnome.org/show_bug.cgi?id=682651
-	if use test; then
-		sed -e 's:test-subject-public-key::' \
-			-e 's:test-system-prompt:$(NULL):' \
-			-i gcr/tests/Makefile.am || die "sed failed"
-		[[ ${PV} = 9999 ]] || eautoreconf
+	if use debug; then
+		G2CONF="${G2CONF} --enable-debug=yes"
 	fi
 
+	# Disable stupid flag changes
+	sed -e 's/CFLAGS="$CFLAGS -g"//' \
+		-e 's/CFLAGS="$CFLAGS -O0"//' \
+		-i configure.ac configure || die
+
 	gnome2_src_prepare
 }
 


             reply	other threads:[~2012-10-28 16:42 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-10-28 16:42 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-08-09  6:59 [gentoo-commits] proj/gnome:master commit in: app-crypt/gcr/ Gilles Dartiguelongue
2016-03-26 22:54 Ole Reifschneider
2015-06-09 13:48 Gilles Dartiguelongue
2015-05-12 22:20 Gilles Dartiguelongue
2015-05-10 17:20 Gilles Dartiguelongue
2014-12-15 23:28 Gilles Dartiguelongue
2014-04-15 22:05 Gilles Dartiguelongue
2013-12-05 22:30 Gilles Dartiguelongue
2013-12-05  0:32 Gilles Dartiguelongue
2013-11-20 23:08 Gilles Dartiguelongue
2012-12-16 14:22 Gilles Dartiguelongue
2012-11-22 23:31 Gilles Dartiguelongue
2012-11-04 15:05 Gilles Dartiguelongue
2012-09-30 23:08 Alexandre Rostovtsev
2012-09-10 18:20 Priit Laes
2012-09-10 17:31 Alexandre Rostovtsev
2012-08-25  8:51 Priit Laes
2012-07-16  8:31 Alexandre Restovtsev
2012-05-14  6:38 Alexandre Restovtsev
2012-04-20  7:29 Alexandre Restovtsev
2012-03-26  8:20 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1351442495.4f20966fead7bca357d3c45451d489c67ed23233.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox